i18n.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/misc2.h>`
`#include <gwenhywfar/xml.h>`
`#include <gwenhywfar/stringlist.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API int | GWEN_I18N_BindTextDomain_Codeset (const char *textdomain, const char *cs)
GWENHYWFAR_API int | GWEN_I18N_BindTextDomain_Dir (const char *textdomain, const char *folder)
GWENHYWFAR_API const char * | GWEN_I18N_GetCurrentLocale (void)
GWENHYWFAR_API GWEN_STRINGLIST * | GWEN_I18N_GetCurrentLocaleList (void)
GWENHYWFAR_API int | GWEN_I18N_SetLocale (const char *s)
GWENHYWFAR_API const char * | GWEN_I18N_Translate (const char *textdomain, const char *text)

## Function Documentation

## GWEN_I18N_BindTextDomain_Codeset()

GWENHYWFAR_API int GWEN_I18N_BindTextDomain_Codeset | ( | const char * | textdomain,
|  | const char * | cs )

## GWEN_I18N_BindTextDomain_Dir()

GWENHYWFAR_API int GWEN_I18N_BindTextDomain_Dir | ( | const char * | textdomain,
|  | const char * | folder )

References GWENHYWFAR_API.

## GWEN_I18N_GetCurrentLocale()

GWENHYWFAR_API const char * GWEN_I18N_GetCurrentLocale | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_I18N_GetCurrentLocaleList()

GWENHYWFAR_API GWEN_STRINGLIST * GWEN_I18N_GetCurrentLocaleList | ( | void |  | ) |

Gwenhywfar remains the owner of the object returned (if any), so you MUST NOT free it.

References GWENHYWFAR_API.

## GWEN_I18N_SetLocale()

GWENHYWFAR_API int GWEN_I18N_SetLocale | ( | const char * | s | ) |

References GWENHYWFAR_API.

## GWEN_I18N_Translate()

GWENHYWFAR_API const char * GWEN_I18N_Translate | ( | const char * | textdomain,
|  | const char * | text )

References GWENHYWFAR_API.